## org.eclipse.amp.agf.chart
Class DisplayLegendAction

    java.lang.Object
      org.eclipse.amp.agf.chart.DisplayLegendAction

    public class DisplayLegendAction

extends java.lang.Object

The Class DisplayLegendAction.

Field Summary
`(package private) ChartEditPart` `editor`

Constructor Summary
`DisplayLegendAction()`

Method Summary
`void` `init(IViewPart view)`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editor

    ChartEditPart editor

Constructor Detail

### DisplayLegendAction

    public DisplayLegendAction()

Method Detail

### run

    public void run(IAction action)

  See Also:
    `org.eclipse.ui.IActionDelegate#run(org.eclipse.jface.action.IAction)`

### init

    public void init(IViewPart view)

  See Also:
    `org.eclipse.ui.IViewActionDelegate#init(org.eclipse.ui.IViewPart)`

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  See Also:
    `org.eclipse.ui.IActionDelegate#selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)`

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors